/* Medien-Player mit libvlc */

#include <vlc/vlc.h>

int
main(int argc, const char **argv)
{
	libvlc_exception_t ex;
	libvlc_instance_t *library;
	libvlc_media_t *media;
	libvlc_media_player_t *player;

	/* Initialisieren */
	libvlc_exception_init(&ex);
	library = libvlc_new(argc, argv, &ex);

	/* Datei ffnen */
	media = libvlc_media_new(library, argv[1], &ex);
	player = libvlc_media_player_new_from_media(media, &ex);
	libvlc_media_release(media);

	/* Die ersten 10 Sekunden abspielen */
	libvlc_media_player_play(player, &ex);
	sleep(10);
	libvlc_media_player_stop(player, &ex);

	/* Ressourcen freigeben */
	libvlc_media_player_release(player);
	libvlc_release(library);
	exit(0);
}
